Bug 827851 - [abrt] zeitgeist-0.8.2-3.fc17: sql.py:76:execute:OperationalError: unable to open database file
[abrt] zeitgeist-0.8.2-3.fc17: sql.py:76:execute:OperationalError: unable to ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: zeitgeist (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
abrt_hash:93565345c6afee0d08de433c4fd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-03 06:05 EDT by Daniel Brooks
Modified: 2012-12-20 10:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:26:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: smolt_data (6.00 KB, text/plain)
2012-06-03 06:05 EDT, Daniel Brooks
no flags Details

  None (edit)
Description Daniel Brooks 2012-06-03 06:05:15 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/bin/zeitgeist-daemon
comment:        happens during KDE startup
executable:     /usr/bin/zeitgeist-daemon
kernel:         3.3.7-1.fc16.x86_64
time:           Sat 02 Jun 2012 09:51:34 PM PDT
uid:            500
username:       db48x

smolt_data:     Text file, 6147 bytes

backtrace:
:sql.py:76:execute:OperationalError: unable to open database file
:
:Traceback (most recent call last):
:  File "/usr/bin/zeitgeist-daemon", line 198, in <module>
:    main()
:  File "/usr/bin/zeitgeist-daemon", line 176, in main
:    mainloop, interface = setup_interface()
:  File "/usr/bin/zeitgeist-daemon", line 103, in setup_interface
:    return mainloop, RemoteInterface(mainloop = mainloop)
:  File "/usr/share/zeitgeist/_zeitgeist/engine/remote.py", line 71, in __init__
:    self._engine = get_engine()
:  File "/usr/share/zeitgeist/_zeitgeist/engine/__init__.py", line 42, in get_engine
:    _engine = main.ZeitgeistEngine()
:  File "/usr/share/zeitgeist/_zeitgeist/engine/main.py", line 99, in __init__
:    self._cursor = cursor = get_default_cursor()
:  File "/usr/share/zeitgeist/_zeitgeist/engine/sql.py", line 494, in get_default_cursor
:    _cursor = create_db(dbfile)
:  File "/usr/share/zeitgeist/_zeitgeist/engine/sql.py", line 212, in create_db
:    cursor.execute("PRAGMA journal_mode = DELETE")
:  File "/usr/share/zeitgeist/_zeitgeist/engine/sql.py", line 76, in execute
:    return super(UnicodeCursor, self).execute(statement, parameters)
:OperationalError: unable to open database file
:
:Local variables in innermost frame:
:self: <_zeitgeist.engine.sql.UnicodeCursor object at 0x14eb0e8>
:statement: 'PRAGMA journal_mode = DELETE'
:parameters: []
Comment 1 Daniel Brooks 2012-06-03 06:05:19 EDT
Created attachment 588821 [details]
File: smolt_data
Comment 2 jo 2012-06-07 16:15:50 EDT
Same problem on a 32 bit install

Backtrace:
sql.py:76:execute:OperationalError: database is locked

Traceback (most recent call last):
  File "/usr/bin/zeitgeist-daemon", line 198, in <module>
    main()
  File "/usr/bin/zeitgeist-daemon", line 176, in main
    mainloop, interface = setup_interface()
  File "/usr/bin/zeitgeist-daemon", line 103, in setup_interface
    return mainloop, RemoteInterface(mainloop = mainloop)
  File "/usr/share/zeitgeist/_zeitgeist/engine/remote.py", line 71, in __init__
    self._engine = get_engine()
  File "/usr/share/zeitgeist/_zeitgeist/engine/__init__.py", line 42, in get_engine
    _engine = main.ZeitgeistEngine()
  File "/usr/share/zeitgeist/_zeitgeist/engine/main.py", line 99, in __init__
    self._cursor = cursor = get_default_cursor()
  File "/usr/share/zeitgeist/_zeitgeist/engine/sql.py", line 494, in get_default_cursor
    _cursor = create_db(dbfile)
  File "/usr/share/zeitgeist/_zeitgeist/engine/sql.py", line 212, in create_db
    cursor.execute("PRAGMA journal_mode = DELETE")
  File "/usr/share/zeitgeist/_zeitgeist/engine/sql.py", line 76, in execute
    return super(UnicodeCursor, self).execute(statement, parameters)
OperationalError: database is locked

Local variables in innermost frame:
self: <_zeitgeist.engine.sql.UnicodeCursor object at 0x9ded43c>
statement: 'PRAGMA journal_mode = DELETE'
parameters: []
Comment 3 Fedora Update System 2012-09-24 19:05:20 EDT
zeitgeist-datahub-0.9.5-1.fc17,zeitgeist-0.9.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/zeitgeist-datahub-0.9.5-1.fc17,zeitgeist-0.9.5-1.fc17
Comment 4 Fedora Update System 2012-09-26 05:04:23 EDT
Package zeitgeist-datahub-0.9.5-1.fc17, zeitgeist-0.9.5-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing zeitgeist-datahub-0.9.5-1.fc17 zeitgeist-0.9.5-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14788/zeitgeist-datahub-0.9.5-1.fc17,zeitgeist-0.9.5-1.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-12-20 10:26:10 EST
zeitgeist-datahub-0.9.5-1.fc17, zeitgeist-0.9.5-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.